<?php

// Admin  routes  for event
Route::group(['prefix' => '/admin/test'], function () {
    Route::put('event/workflow/{event}/{step}', 'EventAdminController@putWorkflow');
    Route::resource('event', 'EventAdminController');
});


// User  routes for event
Route::group(['prefix' => '/user/test'], function () {
    Route::resource('event', 'EventUserController');
});


// Client routes for event
Route::resource('event', 'EventClientController');



// Public  routes for event
Route::get('event/workflow/{event}/{step}/{user}', 'EventController@getWorkflow');
Route::get('tests/', 'EventPublicController@index');
Route::get('tests/{slug?}', 'EventPublicController@show');


