<?php

namespace Test\Test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventListTransformer extends TransformerAbstract
{
    public function transform(\Test\Test\Models\Event $event)
    {
        return [
            'id'                => $event->getRouteKey(),
            
            'status'            => trans('app.'.$event->status),
            'created_at'        => format_date($event->created_at),
            'updated_at'        => format_date($event->updated_at),
        ];
    }
}