@include('test::public.event.partial.header')
<section class="edit">
    <div class="container">
        <div class="row">
            <div class="col-md-3">
                @include('test::public.event.partial.aside')
            </div>
            <div class="col-md-9 ">
                <div class="post-wraper">
                    <h3 class="title">
                        {{trans('app.edit')}} {!! trans('test::event.name') !!}
                    </h3>

                    @include('public::notifications')
                    {!!Form::vertical_open()
                    ->id('create-test-event')
                    ->method('PUT')
                    ->class('dashboard-form')
                    ->enctype('multipart/form-data')
                    ->action(trans_url('event') . '/' . $event->getRouteKey())!!}
                    {!! Form::hidden('upload_folder')!!}
                    @include('test::public.event.partial.entry')
                    <div class="row m-t-20">
                        <div class="col-md-12">
                            <button class="btn btn-sm btn-danger waves-effect w-md waves-light text-uppercase">
                                Update Event
                            </button>
                            <a class="btn btn-sm btn-inverse waves-effect waves-float m-l-5 text-uppercase" href="{!!trans_url('/event')!!}">
                                Cancel
                            </a>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
</section>
